package com.realnet.vpspack.Services;
import java.util.*;
import com.realnet.vpspack.Repository.Visa_app_orderRepository;
import com.realnet.vpspack.Entity.Visa_app_order;

import com.realnet.vpspack.Entity.Visa_app_order_ListFilter1;
import java.util.List;

import org.springframework.beans.factory.annotation.Autowired;
	import org.springframework.stereotype.Service;

@Service
 public class Visa_app_order_ListFilter1Service {
@Autowired
private Visa_app_orderRepository Repository;




 public   List<Visa_app_order_ListFilter1>   getlistbuilder() {
	List<Visa_app_order> list= Repository.findAll();
		ArrayList<Visa_app_order_ListFilter1> l = new ArrayList<>();
		for (Visa_app_order data : list) {
{	
Visa_app_order_ListFilter1 dummy = new Visa_app_order_ListFilter1();
			dummy.setId(data.getId());
  dummy.setRate(data.getRate());
	l.add(dummy);
} 
} 		
return l;}



 public   List<Visa_app_order_ListFilter1>   getlistbuilderparam( ) {
	List<Visa_app_order> list= Repository.findAll();
		ArrayList<Visa_app_order_ListFilter1> l = new ArrayList<>();
		for (Visa_app_order data : list) {
{	
Visa_app_order_ListFilter1 dummy = new Visa_app_order_ListFilter1();
			dummy.setId(data.getId());
  dummy.setRate(data.getRate());
	l.add(dummy);
} 
} 		
return l;}
}